

<%
 ##
 # provide locals: :security [ :smr_position ]
 smr_position = false unless smr_position
 type = if security.has_type_model? then security.get_type else false end

 quote_date = if smr_position then
    smr_position.date
 elsif smr_browse_date
    smr_browse_date
 else Time.now end

 last_trade = security.last_quote quote_date

 # yields
 cy_s = security.current_yield(last_trade)
 cy_p = if smr_position then
    security.current_yield(Quote.new :last=>smr_position.cost_price, :date_last=>smr_position.date.to_i)
 else false end

 ytc_s = security.yield_to_call(last_trade)
 ytc_p = if smr_position then
    security.yield_to_call(Quote.new :last=>smr_position.cost_price, :date_last=>smr_position.date.to_i)
 else false end

 ytm_s = security.yield_to_maturity(last_trade)
 ytm_p = if smr_position then
    security.yield_to_maturity(Quote.new :last=>smr_position.cost_price, :date_last=>smr_position.date.to_i)
 else false end
%>

<div class="overview_container">
<table id="security_quote">
  <thead>
    <tr><th colspan="2">Last Trade</th></tr>
  </thead>
  <tbody>
    <tr>
        <td>Price</td>
        <td><%= last_trade.last %> <span><%= smr_humanize last_trade.time_last, :date_with_time=>true %></span></td></tr>
    </tr>

    <% if last_trade.volume.to_i.abs != 0 %><tr><td>Volume</td><td><%= smr_humanize last_trade.volume, :shortword=>true %></td></tr><% end %>
    <% if last_trade.low.to_i.abs != 0 %><tr><td>Day Low</td><td><%= last_trade.low %></td></tr><% end %>
    <% if last_trade.high.to_i.abs != 0 %><tr><td>Day High</td><td><%= last_trade.high %></td></tr><% end %>

    <tr><td>Exchange</td><td><%= last_trade.exchange %></td></tr>
    <tr><td>Accrued Interest</td><td><%= smr_humanize security.accrued_interest %></td></tr>
    <tr><td>Dirty Price</td><td><%= smr_humanize(last_trade.last + security.accrued_interest.to_f) %></td></tr>
    <tr>
        <td>
         <%= case security.type
             when :stock then 'Dividend Yield'
             when :fund  then 'Distribution Yield'
             else 'Current Yield'
         end %>
        </td>
        <td>
          <div>on security <span><%=smr_humanize cy_s, :scale=>2 %></span></div>
         <% if cy_p %>
          <div>on position <span><%=smr_humanize cy_p, :scale=>2 %></span></div>
         <% end %>
       </td>
    </tr>
    <tr style="<%= unless ytc_s or ytc_p then 'display:none' else '' end %>">
        <td>Yield to Call</td>
        <td>
          <div>on security <span><%=smr_humanize ytc_s, :scale=>2 %></span></div>
         <% if ytc_p %>
          <div>on position <span><%=smr_humanize ytc_p, :scale=>2 %></span></div>
         <% end %>
        </td>
    </tr>
    <tr style="<%= unless ytm_s or ytm_p then 'display:none' else '' end %>">
        <td>Yield to Maturity</td>
        <td>
          <div>on security <span><%=smr_humanize ytm_s, :scale=>2 %></span></div>
         <% if smr_position %>
          <div>on position <span><%=smr_humanize ytm_p, :scale=>2 %></span></div>
         <% end %>
        </td>
    </tr>
  </tbody>
</table>
</div>
